summaryrefslogtreecommitdiffstats
path: root/source/xap/pan
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/pan')
-rwxr-xr-xsource/xap/pan/pan.SlackBuild5
-rw-r--r--source/xap/pan/pan.gcc47.diff10
-rw-r--r--source/xap/pan/slack-desc2
3 files changed, 15 insertions, 2 deletions
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index 0aab423c7..b3bbe857a 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -59,6 +59,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}-$VERSION || exit 1
+zcat $CWD/pan.gcc47.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
@@ -74,6 +76,7 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var/lib \
--sysconfdir=/etc \
--mandir=/usr/man \
+ --with-gnutls \
--program-prefix= \
--program-suffix= \
--build=$ARCH-slackware-linux
diff --git a/source/xap/pan/pan.gcc47.diff b/source/xap/pan/pan.gcc47.diff
new file mode 100644
index 000000000..5c57a3815
--- /dev/null
+++ b/source/xap/pan/pan.gcc47.diff
@@ -0,0 +1,10 @@
+--- ./pan/data/cert-store.cc.orig 2012-06-29 17:24:54.000000000 -0500
++++ ./pan/data/cert-store.cc 2012-07-10 12:43:12.768183671 -0500
+@@ -20,6 +20,7 @@
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ */
+
++#include <unistd.h>
+ #include <string>
+
+ //#include <glib/giochannel.h>
diff --git a/source/xap/pan/slack-desc b/source/xap/pan/slack-desc
index c4336adbc..77372ab97 100644
--- a/source/xap/pan/slack-desc
+++ b/source/xap/pan/slack-desc
@@ -15,5 +15,5 @@ pan:
pan:
pan:
pan:
-pan:
+pan: Homepage: http://pan.rebelbase.com
pan: